Subject: bug#46203: 28.0.50; flymake doesn't start in java-mode; here is debugger output

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 15:25:21 +0200

Lian Hung Hon <[email-masked]> writes:

> Line 901 should be
>
>   (let* ((temp-dir    (file-truename temporary-file-directory))
>
> This is because the default value of variable temporary-file-directory might be
> abbreviated, so substring does not work correctly.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I've now made this change in Emacs 29, but even so, it looks somewhat
unsafe to me -- there probably should be more checks here, but I'm not
that familiar with flymake.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no